Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockEvent

    java.lang.Object
      org.springframework.mock.web.portlet.MockEvent

All Implemented Interfaces:
  javax.portlet.Event

    public class MockEvent

extends java.lang.Object
implements javax.portlet.Event

Mock implementation of the `Event` interface.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `MockEventRequest`

Constructor Summary
`MockEvent(javax.xml.namespace.QName name)` Create a new MockEvent with the given name.
`MockEvent(javax.xml.namespace.QName name, java.io.Serializable value)` Create a new MockEvent with the given name and value.
`MockEvent(java.lang.String name)` Create a new MockEvent with the given name.
`MockEvent(java.lang.String name, java.io.Serializable value)` Create a new MockEvent with the given name and value.

Method Summary
`java.lang.String` | `getName()`
`javax.xml.namespace.QName` | `getQName()`
`java.io.Serializable` | `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockEvent

    public MockEvent(javax.xml.namespace.QName name)

  Create a new MockEvent with the given name.

  Parameters:
    `name` - the name of the event

### MockEvent

    public MockEvent(javax.xml.namespace.QName name,
                     java.io.Serializable value)

  Create a new MockEvent with the given name and value.

  Parameters:
    `name` - the name of the event
    `value` - the associated payload of the event

### MockEvent

    public MockEvent(java.lang.String name)

  Create a new MockEvent with the given name.

  Parameters:
    `name` - the name of the event

### MockEvent

    public MockEvent(java.lang.String name,
                     java.io.Serializable value)

  Create a new MockEvent with the given name and value.

  Parameters:
    `name` - the name of the event
    `value` - the associated payload of the event

Method Detail

### getQName

    public javax.xml.namespace.QName getQName()

  Specified by:
    `getQName` in interface `javax.portlet.Event`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.portlet.Event`

### getValue

    public java.io.Serializable getValue()

  Specified by:
    `getValue` in interface `javax.portlet.Event`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD